TIMEOUT(1)

NAMN
timeout — kör ett kommando med en tidsgräns

SYNOPSIS
timeout [FLAGGA] LÖPTID KOMMANDO [ARG]...
timeout [FLAGGA]

BESKRIVNING

Starta KOMMANDO, och döda det om det fortfarande kör efter LÖPTID.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

--preserve-status

    Avsluta med samma status som KOMMANDO, även när tiden för

    kommandot löper ut.

--foreground

    När timeout inte körs direkt från en skalprompt,

    låt KOMMANDO läsa från TTY:n och ta emot TTY-signaler; i detta läge kommer tiden för barn till KOMMANDO inte gå ut.

-k, --kill-after=LÖPTID

    Skicka även en KILL-signal om KOMMANDO fortfarande kör så

    här länge efter att den ursprungliga signalen skickades.

-s, --signal=SIGNAL

    Ange signalen som skall skickas när tiden går ut;

    SIGNAL kan vara ett namn som ”HUP” eller ett nummer; se kill -l för en lista över signaler.

-v, --verbose
    Diagnostisera till standard fel signaler som skickas när tiden går ut.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

LÖPTID är ett flyttal eventuellt följt av ett suffix: ”s” för sekunder (standard), ”m” för minuter, ”h” för timmar eller ”d” för dagar. En löptid på 0 avaktiverar den tillhörande tidsgränsen.

När tiden går ut, skicka signalen TERM till KOMMANDO, om ingen annan signal anges. Signalen TERM dödar en process som inte blockerar eller fångar den signalen. Det kan vara nödvändigt att använda signalen KILL, eftersom den signalen inte kan fångas.

  Slutstatus:

124 om KOMMANDO-tidsgränsen överskrids times out, och --preserve-status inte angivits

125 om kommandot timeout självt misslyckas

126 om KOMMANDO hittas men inte kan startas

127 om KOMMANDO inte finns

137 om KOMMANDO (eller timeout självt) skickas signalen KILL (9) (128+9)

-   annars slutstatus från KOMMANDO

FEL
Några plattformar stödjer för närvarande inte tidsgränser efter år 2038.

UPPHOVSMAN
Skrivet av Padraig Brady.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
kill(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/timeout>
eller tillgängligt lokalt via: info '(coreutils) timeout invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.